function love.load()
	scene={}
	image = love.graphics.newImage("asphalt.png")
	point={x=1,y=1,z=-3,x_screen=0,y_screen=0}
	table.insert(scene,1,point)

	point={x=200,y=1,z=-3,x_screen=0,y_screen=0}
	table.insert(scene,2,point)

	point={x=200,y=200,z=-5,x_screen=0,y_screen=0}
	table.insert(scene,3,point)

	point={x=1,y=200,z=-5,x_screen=0,y_screen=0}
	table.insert(scene,4,point)

	H=love.window.getHeight()/2
	W=love.window.getWidth()/2
	for i,v in pairs(scene) do
		scene[i].x_screen = (scene[i].x*scene[i].z)+W
		scene[i].y_screen =(-scene[i].y*scene[i].z)+H
	end

	vertices = {
		{
			scene[1].x_screen, scene[1].y_screen, -- position of the vertex
			0, 0, -- texture coordinate at the vertex position
			255, 255, 255, -- color of the vertex
		},
		{
			scene[2].x_screen, scene[2].y_screen,
			1, 0,
			255, 255, 255
		},
		{
			scene[3].x_screen, scene[3].y_screen,
			1, 1,
			255, 255, 255
		},
		{
			scene[4].x_screen, scene[4].y_screen,
			0, 1,
			255, 255, 255
		},
	}

	mesh = love.graphics.newMesh(vertices, image, "fan")

end
function love.update(delta)
	for i,v in pairs(scene) do
		if love.keyboard.isDown("right") then
			scene[i].x=scene[i].x-(100*delta)
		end
		if love.keyboard.isDown("left") then
			scene[i].x=scene[i].x+(100*delta)
		end
		if love.keyboard.isDown("up") then
			scene[i].y=scene[i].y-(100*delta)
		end
		if love.keyboard.isDown("down") then
			scene[i].y=scene[i].y+(100*delta)
		end
		if love.keyboard.isDown("w") then
			scene[i].z=scene[i].z-(delta)
		end
		if love.keyboard.isDown("s") then
			scene[i].z=scene[i].z+(delta)
		end
	end
	for i,v in pairs(scene) do
		scene[i].x_screen = (scene[i].x*scene[i].z)+W
		scene[i].y_screen =(-scene[i].y*scene[i].z)+H
	end
	local vertex1=	{
		scene[1].x_screen, scene[1].y_screen, -- position of the vertex
		0, 0, -- texture coordinate at the vertex position
		255, 255, 255, -- color of the vertex
	}
	local vertex2=	{
		scene[2].x_screen, scene[2].y_screen,
		1, 0,
		255, 255, 255
	}
	local vertex3=	{
		scene[3].x_screen, scene[3].y_screen,
		1, 1,
		255, 255, 255
	}
	local vertex4=	{
		scene[4].x_screen, scene[4].y_screen,
		0, 1,
		255, 255, 255
	}
	mesh:setVertex(1, vertex1 )
	mesh:setVertex(2, vertex2 )
	mesh:setVertex(3, vertex3 )
	mesh:setVertex(4, vertex4 )
end
function love.draw()
	for i,v in pairs(scene) do
		love.graphics.print("x_screen: "..math.floor(scene[i].x_screen).." y_screen: "..math.floor(scene[i].y_screen),scene[i].x_screen,scene[i].y_screen)
		love.graphics.print("X_3D: "..math.floor(scene[i].x).." Y_3D: "..math.floor(scene[i].y).." Z_3D: "..math.floor(scene[i].z),scene[i].x_screen,scene[i].y_screen+i*10)
	end
	love.graphics.draw(mesh, 0, 0)
	love.graphics.polygon("line",scene[1].x_screen,scene[1].y_screen,scene[2].x_screen,scene[2].y_screen,scene[3].x_screen,scene[3].y_screen,scene[4].x_screen,scene[4].y_screen)
end
